play.libs

## Class OAuth.ServiceInfo

- java.lang.Object
- - play.libs.OAuth.ServiceInfo

Enclosing class:
  OAuth

    public static class OAuth.ServiceInfo
    extends java.lang.Object

Information relative to an OAuth 1.0 provider.

### Field Summary

Fields
`java.lang.String` `accessTokenURL`
`java.lang.String` `authorizationURL`
`java.lang.String` `consumerKey`
`java.lang.String` `consumerSecret`
`java.lang.String` `requestTokenURL`

### Constructor Summary

Constructors
Constructor and Description
`ServiceInfo(java.lang.String requestTokenURL, java.lang.String accessTokenURL, java.lang.String authorizationURL, java.lang.String consumerKey, java.lang.String consumerSecret)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### requestTokenURL

    public java.lang.String requestTokenURL

#### accessTokenURL

    public java.lang.String accessTokenURL

#### authorizationURL

    public java.lang.String authorizationURL

#### consumerKey

    public java.lang.String consumerKey

#### consumerSecret

    public java.lang.String consumerSecret

### Constructor Detail

#### ServiceInfo

    public ServiceInfo(java.lang.String requestTokenURL,
                       java.lang.String accessTokenURL,
                       java.lang.String authorizationURL,
                       java.lang.String consumerKey,
                       java.lang.String consumerSecret)